Bug 1065758 - Review Request: omniORBpy - Robust high-performance CORBA ORB for Python
Review Request: omniORBpy - Robust high-performance CORBA ORB for Python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Shaw
Fedora Extras Quality Assurance
:
: 783064 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-16 12:45 EST by Sandro Mani
Modified: 2014-03-27 00:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: omniORBpy-3.7-5.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-27 00:50:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hobbes1069: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2014-02-16 12:45:16 EST
Spec URL: http://smani.fedorapeople.org/review/python-omniORB.spec
SRPM URL: http://smani.fedorapeople.org/review/omniORBpy-3.7-1.fc21.src.rpm
Description: Robust high-performance CORBA ORB for Python
Fedora Account System Username: smani
Comment 1 Sandro Mani 2014-02-16 12:46:10 EST
*** Bug 783064 has been marked as a duplicate of this bug. ***
Comment 2 Richard Shaw 2014-02-17 09:40:41 EST
What is the package name going to be? python-omniORB or upstream's omniORBpy?

The guidelines seem to require the python-<module name> convention:

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28python_modules.29
Comment 3 Sandro Mani 2014-02-17 09:43:46 EST
The way I interpreted the guidelines you linked, I'd say that python-omniORB is correct. Which makes me notice that I used the incorrect package name in the bug title, fixing that.
Comment 4 Richard Shaw 2014-02-17 09:54:17 EST
Ok, a high level review:

1. The license should be LGPLv2 (version 2.1 is the first release so the short name doesn't have the ".1")

https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing

2. rpmlint output from the installed package:

$ rpmlint libbatch
libbatch.x86_64: W: invalid-license LGPLv2.1
libbatch.x86_64: W: invalid-url URL git.salome-platform.org/gitweb/?p=tools/libbatch.git

## This one needs to be fixed[1] ##
libbatch.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/_libbatch.so _libbatch.so()(64bit)

## I can patch the cmake build to add a soname ##
libbatch.x86_64: E: invalid-soname /usr/lib64/libbatch.so libbatch.so

## One thing I don't like about cmake is the way it links everything, 
## adding something like "export LDFLAGS='-Wl,--as-needed'" will usually
## fix this.
libbatch.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libbatch.so /lib64/libm.so.6

## Should be reported upstream but not a blocker.
libbatch.x86_64: E: incorrect-fsf-address /usr/share/doc/libbatch-2.1.0/COPYING
1 packages and 0 specfiles checked; 2 errors, 4 warnings.

[1] https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering#Preventing_files.2Fdirectories_from_being_scanned_for_deps_.28pre-scan_filtering.29
# Do not check .so files in the python_sitelib directory
# or any files in the application's directory for provides
%global __provides_exclude_from ^(%{python_sitearch}/.*\\.so|%{_datadir}/myapp/.*)$
Comment 5 Richard Shaw 2014-02-17 09:55:34 EST
Darn, wrong review request, sorry, too many open!
Comment 6 Richard Shaw 2014-02-17 10:54:21 EST
Are you going to post new spec and SRPM?

I would rename the package to python-omniORB as well and use:

%global realname omniORBpy

or upname, sourcename, etc, to use in the Source: tag and %setup.

As far as the sub packages, is the -libs package useful without the python sub-package?

Also, as I've found out from experience, you can't use %{?_isa} with a noarch package. Just let yum figure it out :)

I think after that you should only have 2 or 3 packages total instead of four, in with your current method there is no omniORBpy package so nothing should require it, but after you rename it that will no longer be a problem anyway. I see 3 packages max:

python-omniORB (noarch, Requires: %{name}-libs = %{version}-%{release})
python-omniORB-libs
python-omniORB-libs-devel (Requires: %{name}-libs%{?_isa} = %{version}-%{release})
Comment 7 Sandro Mani 2014-02-17 11:16:03 EST
Ok, this should clean up the mess:)

Spec URL: http://smani.fedorapeople.org/review/python-omniORB.spec
SRPM URL: http://smani.fedorapeople.org/review/python-omniORB-3.7-2.fc21.src.rpm

* Mon Feb 17 2014 Sandro Mani <manisandro@gmail.com> - 3.7-2
- Fix package name
- Merge libs into python subpackage
Comment 8 Richard Shaw 2014-02-17 15:50:24 EST
Just glancing at the spec it looks much better but I wonder if we should ask the omniORB maintainer why there are files that conflict between the two packages. 

Also, thinking about things a bit more (don't be mad at me!) we need to do one of two things:

1. Go back to a separate libs package
2. Move the noarch stuff currently installing into /usr/lib into ${_libdir}.

The problem is you should be able to install both the i686 and x86_64 packages at the same time, but if they're both dumping the noarch stuff into /usr/lib then we have a conflict.
Comment 9 Sandro Mani 2014-02-17 17:59:57 EST
And now I guess I remember why I called the src.rpm omniORBpy: I'd have to make the main package noarch but the subpackage arch. I think the only way to do that is to have an empty main package and the subpackages arch and noarch. So I'd be back having
- empty package omniORBpy
- noarch package python-omniORB
- arch packges python-omniORB-libs, python-omniORB-devel

Any better ideas?

I'll request acls for omniORB (I think that is what Haïkel was suggesting in 783064) so that we can better deal with the conflicting files.
Comment 10 Richard Shaw 2014-02-17 21:42:49 EST
Ok, I thought about it and I think we still have two options...

1. omniORBpy for the libraries (Do we really have to append -libs?)
   omniORBpy-devel and
   python-omniORB (noarch)

OR

2. Like before, move the noarch stuff into /var/lib64 for x86_64 builds. There should not be a guideline problem with this. IIRC, keeping the noarch bits with a package that also has arch specific libraries is permissible. 

The only downside to this method is we will be duplicating the noarch files if someone has both i686 and x86_64 packages installed.

I think I like option one better and would negate the need for the "realname" macro.
Comment 11 Sandro Mani 2014-02-18 03:01:25 EST
I'd go for one, but with omniORBpy-libs for the libs package, since IMO omniORBpy as package name name would give the impression that it is the main portion of the package.
Comment 12 Christopher Meng 2014-02-18 03:58:31 EST
Hey all, 

Please don't get too fast on this package. 

I packaged it in the last year, please be careful as some files are conflicted with other packages. 

I will get back in the day after tomorrow, then I will have a look.
Comment 13 Sandro Mani 2014-02-18 04:08:31 EST
Ok, here is the latest attempt in the meantime.

Spec URL: http://smani.fedorapeople.org/review/omniORBpy.spec
SRPM URL: http://smani.fedorapeople.org/review/omniORBpy-3.7-3.fc21.src.rpm

%changelog
* Tue Feb 18 2014 Sandro Mani <manisandro@gmail.com> - 3.7-3
- Rework subpackages
Comment 14 Christopher Meng 2014-02-18 20:01:54 EST
Points from my spec(I just deleted it, so please go ahead):

1. %configure --with-openssl --with-omniorb, so BuildRequires:	openssl-devel

2. This package conflicts with pyorbit maybe.

3. Don't forget to use versioned python BR.
Comment 15 Sandro Mani 2014-02-19 05:10:10 EST
Spec URL: http://smani.fedorapeople.org/review/omniORBpy.spec
SRPM URL: http://smani.fedorapeople.org/review/omniORBpy-3.7-4.fc21.src.rpm

%changelog
* Wed Feb 18 2014 Sandro Mani <manisandro@gmail.com> - 3.7-4
- Pass --with-openssl, add openssl-devel BR
- Use versioned python BR
- Remove conflicting files
Comment 16 Richard Shaw 2014-02-23 09:49:22 EST
Have we followed up with the omniORB package owner to determine the best way to avoid the conflicting files between the two packages? It just seems odd since they share the same upstream.

Also, I think it's a bad idea, if not against the guidelines, to have omniORBpy-libs and python-omniORB cross dependent on each other. Requires should generally be one way, especially within one project. If the two are really inseparable, then we shouldn't be breaking them into separate sub-packages.
Comment 17 Sandro Mani 2014-02-23 16:28:16 EST
init.py is just an empty file to show that omniidl_be is a module, no other files conflict, so I think this is ok.

As far as cross-dependencies, I think that it is quite often done between arch and noarch packages (which is the situation here). So I think that is also ok.
Comment 18 Sandro Mani 2014-03-07 16:24:47 EST
Hi Richard, what is the status with this? I should be able to continue looking at salome in the coming weeks, so would be nice to have this.
Comment 19 Richard Shaw 2014-03-12 23:01:06 EDT
I ran fedora-review on the latest srpm and ran into a few issues:

Looks like there is a conflict with the omniORB4 package...

Transaction check error:
  file /usr/include/omniORB4 conflicts between attempted installs of omniORBpy-devel-3.7-4.fc20.noarch and omniORB-devel-4.1.7-1.fc20.x86_64

Error Summary
-------------




Rpmlint
-------
Checking: python-omniORB-3.7-4.fc20.noarch.rpm
          omniORBpy-libs-3.7-4.fc20.x86_64.rpm
          omniORBpy-devel-3.7-4.fc20.noarch.rpm
          omniORBpy-3.7-4.fc20.src.rpm
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTradingDynamic 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosPersistencePO 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosNotifyChannelAdmin__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosNotifyChannelAdmin 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTypedNotifyChannelAdmin__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosPersistencePO__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/CosNaming 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosCompoundLifeCycle__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/LifeCycleService__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosExternalizationReference 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosPersistenceDS_CLI__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosExternalization__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTypedEventChannelAdmin__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosContainment 0775L
python-omniORB.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/omniORB/interceptors.py
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosNaming__POA 0775L
python-omniORB.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/omniORB/codesets.py
python-omniORB.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/omniORB/any.py
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosLifeCycle 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosQueryCollection 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTradingRepos 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTimerEvent__POA 0775L
python-omniORB.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/omniidl_be/python.py
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosLifeCycleContainment 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosCompoundLifeCycle 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTradingDynamic__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosExternalizationContainment__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/CosNaming__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosNotifyComm__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosNotification 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTradingRepos__POA 0775L
python-omniORB.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/omniORB/PortableServer__POA.py
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosRelationships 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosPersistencePDS 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosLifeCycleContainment__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosCollection__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosNotifyComm 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/LifeCycleService 0775L
python-omniORB.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/omniORB/omniConnectionMgmt.py
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosNaming 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosPropertyService__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosPersistencePDS_DA__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosExternalizationContainment 0775L
python-omniORB.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/omniORB/BiDirPolicy.py
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosLifeCycleReference__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosGraphs 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosPersistencePOM 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosQuery 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTypedNotifyChannelAdmin 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosCollection 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/TimeBase 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTypedNotifyComm__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosObjectIdentity__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosQueryCollection__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosNotifyFilter 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosContainment__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/RDITestTypes__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosRelationships__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosPersistencePDS_DA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosExternalization 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosEventChannelAdmin__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosPersistenceDDO__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTimerEvent 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosStream 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosNotifyFilter__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTypedEventChannelAdmin 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosEventComm__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTypedEventComm 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosStream__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTime 0775L
python-omniORB.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/omniORB/URI.py
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosPropertyService 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosReference 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosReference__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTypedNotifyComm 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosPersistencePID 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosPersistenceDDO 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTrading 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTime__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosEventChannelAdmin 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosObjectIdentity 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosPersistenceDS_CLI 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosQuery__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosPersistencePID__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosLifeCycleReference 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosLifeCycle__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosNotification__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosExternalizationReference__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosPersistencePOM__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosEventComm 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTypedEventComm__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosTrading__POA 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/TimeBase__POA 0775L
python-omniORB.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/omniORB/sslTP.py
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/RDITestTypes 0775L
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosPersistencePDS__POA 0775L
python-omniORB.noarch: E: incorrect-fsf-address /usr/share/doc/python-omniORB/COPYING.LIB
python-omniORB.noarch: E: non-standard-dir-perm /usr/lib/python2.7/site-packages/omniORB/COS/CosGraphs__POA 0775L
omniORBpy-libs.x86_64: W: unstripped-binary-or-object /usr/lib64/python2.7/site-packages/_omnicodesetsmodule.so.3.7
omniORBpy-libs.x86_64: W: unstripped-binary-or-object /usr/lib64/python2.7/site-packages/_omnipymodule.so.3.7
omniORBpy-libs.x86_64: W: unstripped-binary-or-object /usr/lib64/python2.7/site-packages/_omnisslTPmodule.so.3.7
omniORBpy-libs.x86_64: W: unstripped-binary-or-object /usr/lib64/python2.7/site-packages/_omniConnMgmtmodule.so.3.7
omniORBpy-libs.x86_64: W: no-documentation
omniORBpy-devel.noarch: W: no-documentation
omniORBpy-devel.noarch: E: non-standard-dir-perm /usr/include/omniORB4 0775L
omniORBpy.src: W: strange-permission omniORBpy-3.7.tar.bz2 0600L
omniORBpy.src: E: specfile-error warning: bogus date in %changelog: Wed Feb 18 2014 Sandro Mani <manisandro@gmail.com> - 3.7-4
4 packages and 0 specfiles checked; 102 errors, 7 warnings.
Comment 20 Sandro Mani 2014-03-13 20:13:01 EDT
Spec URL: http://smani.fedorapeople.org/review/omniORBpy.spec
SRPM URL: http://smani.fedorapeople.org/review/omniORBpy-3.7-5.fc21.src.rpm

* Fri Mar 14 2014 Sandro Mani <manisandro@gmail.com> - 3.7-5
- Don't own %%{_includedir}/omniORB4
- Fix FSF addresses
- Fix directory permissions
- Ensure shared libraries are executable


The only things rpmlint is still complaining about are:
omniORBpy-debuginfo.x86_64: E: debuginfo-without-sources
omniORBpy-devel.noarch: W: no-documentation
omniORBpy-libs.x86_64: W: no-documentation

I'm not sure if there is anything I can do about E: debuginfo-without-sources
Comment 21 Richard Shaw 2014-03-14 22:23:40 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2.1 or later)
     (with incorrect FSF address)", "LGPL (v2 or later) (with incorrect FSF
     address)", "Unknown or generated". 37 files have unknown license.
     Detailed output of licensecheck in
     /home/build/1065758-omniORBpy/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python2.7/site-
     packages/omniidl_be
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     omniORB , omniORBpy-libs , omniORBpy-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-omniORB-3.7-5.fc20.noarch.rpm
          omniORBpy-libs-3.7-5.fc20.x86_64.rpm
          omniORBpy-devel-3.7-5.fc20.noarch.rpm
          omniORBpy-3.7-5.fc20.src.rpm
omniORBpy-libs.x86_64: W: no-documentation
omniORBpy-devel.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint omniORBpy-devel python-omniORB omniORBpy-libs
omniORBpy-devel.noarch: W: no-documentation
omniORBpy-libs.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
omniORBpy-devel (rpmlib, GLIBC filtered):
    omniORB-devel
    python-omniORB

python-omniORB (rpmlib, GLIBC filtered):
    omniORB
    omniORBpy-libs
    python(abi)

omniORBpy-libs (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libomniCodeSets4.so.1()(64bit)
    libomniConnectionMgmt4.so.1()(64bit)
    libomniORB4.so.1()(64bit)
    libomnisslTP4.so.1()(64bit)
    libomnithread.so.3()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    python(abi)
    python-omniORB
    rtld(GNU_HASH)



Provides
--------
omniORBpy-devel:
    omniORBpy-devel

python-omniORB:
    python-omniORB

omniORBpy-libs:
    omniORBpy-libs
    omniORBpy-libs(x86-64)



Unversioned so-files
--------------------
omniORBpy-libs: /usr/lib64/python2.7/site-packages/_omniConnMgmtmodule.so
omniORBpy-libs: /usr/lib64/python2.7/site-packages/_omnicodesetsmodule.so
omniORBpy-libs: /usr/lib64/python2.7/site-packages/_omnipymodule.so
omniORBpy-libs: /usr/lib64/python2.7/site-packages/_omnisslTPmodule.so

Source checksums
----------------
http://sourceforge.net/projects/omniorb/files/omniORBpy/omniORBpy-3.7/omniORBpy-3.7.tar.bz2 :
  CHECKSUM(SHA256) this package     : 64ddd49581b4f5dde04b8ed80d81ae96fd7efb1f8f6c8075aaf56de9522c1136
  CHECKSUM(SHA256) upstream package : 64ddd49581b4f5dde04b8ed80d81ae96fd7efb1f8f6c8075aaf56de9522c1136


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -b 1065758
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


*** APPROVED ***
Comment 22 Sandro Mani 2014-03-15 07:03:03 EDT
Thanks!

New Package SCM Request
=======================
Package Name: omniORBpy
Short Description: Robust high-performance CORBA ORB for Python
Owners: smani
Branches: f20
InitialCC:
Comment 23 Gwyn Ciesla 2014-03-17 07:49:29 EDT
Git done (by process-git-requests).
Comment 24 Fedora Update System 2014-03-17 17:18:06 EDT
omniORBpy-3.7-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/omniORBpy-3.7-5.fc20
Comment 25 Fedora Update System 2014-03-19 04:44:01 EDT
omniORBpy-3.7-5.fc20 has been pushed to the Fedora 20 testing repository.
Comment 26 Fedora Update System 2014-03-27 00:50:16 EDT
omniORBpy-3.7-5.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.